Bug 10565 - assert failure on invalid delay statement
Summary: assert failure on invalid delay statement
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ada (show other bugs)
Version: 3.2
: P3 normal
Target Milestone: 4.0.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-30 15:06 UTC by parchandri
Modified: 2004-01-21 10:41 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2003-05-27 13:26:25


Attachments
offending.tar (1.91 KB, application/octet-stream)
2003-05-21 15:17 UTC, parchandri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description parchandri 2003-04-30 15:06:00 UTC
cosc339:ada95$ make
gnatmake run
gcc -c tax_office.adb
+===========================GNAT BUG DETECTED==============================+
| 3.2 20020903 (3.2-7) (i386-redhat-linux-gnu) Assert_Failure exp_ch9.adb:7253|
| Error detected at tax_office.adb:68:7                                    |
| Please submit a bug report, see http://gcc.gnu.org/bugs.html.            |
| Include the entire contents of this bug box in the report.               |
| Include the exact gcc or gnatmake command that you entered.              |
| Also include sources listed below in gnatchop format                     |
| (concatenated together with no headers between files).                   |
+==========================================================================+

Please include these source files with error report

tax_office.adb
tax_office.ads
duration_io.ads
list may be incomplete
compilation abandoned
gnatmake: "tax_office.adb" compilation error
make: *** [default] Error 4

Release:
3.2 20020903 (3.2-7) (i386-redhat-linux-gnu)

Environment:
2.4.18-19.8.0 #1 Thu Dec 12 05:39:29 EST 2002 i686 i686 i386 GNU/Linux

How-To-Repeat:
untar
run "make"
Comment 1 Dara Hazeghi 2003-05-12 00:21:28 UTC
From: Dara Hazeghi <dhazeghi@yahoo.com>
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: Re: ada/10565: Assertion failed
Date: Mon, 12 May 2003 00:21:28 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 trail&database=gcc&pr=10565
 
 Confirmed. This bug is still present in mainline (20030510).
 
 Dara
Comment 2 Andrew Pinski 2003-05-27 13:26:25 UTC
See Dara's comment.
Comment 3 CVS Commits 2004-01-21 10:35:32 UTC
Subject: Bug 10565

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	charlet@gcc.gnu.org	2004-01-21 10:35:20

Modified files:
	gcc/ada        : 7staprop.adb exp_aggr.adb exp_ch9.adb 
	                 exp_pakd.adb Makefile.in mlib-prj.adb 
	                 prj-tree.adb sem_ch3.adb sem_ch9.adb 
	                 xr_tabls.adb vms_conv.adb ChangeLog 

Log message:
	2004-01-21  Javier Miranda  <miranda@gnat.com>
	
	* exp_aggr.adb (Build_Record_Aggr_Code): Do not build the master
	entity if already built in the current scope.
	
	* exp_ch9.adb (Build_Master_Entity): Do not set the has_master_entity
	reminder in internal scopes. Required for nested limited aggregates.
	
	2004-01-21  Doug Rupp  <rupp@gnat.com>
	
	* Makefile.in (hyphen): New variable, default value '-'. Set to '_' on
	VMS. Replace all occurences of libgnat- and libgnarl- with
	libgnat$(hyphen) and libgnarl$(hyphen).
	Fixed shared library build problem on VMS.
	
	2004-01-21  Robert Dewar  <dewar@gnat.com>
	
	* mlib-prj.adb: Minor reformatting
	
	2004-01-21  Thomas Quinot  <quinot@act-europe.fr>
	
	* prj-tree.adb, 7staprop.adb, vms_conv.adb, xr_tabls.adb: Add missing
	'constant' keywords for declaration of pointers that are not modified.
	
	* exp_pakd.adb: Fix English in comment.
	
	2004-01-21  Ed Schonberg  <schonberg@gnat.com>
	
	PR ada/10889
	* sem_ch3.adb (Analyze_Subtype_Declaration): For an array subtype,
	copy all attributes of the parent, including the foreign language
	convention.
	
	2004-01-21  Sergey Rybin  <rybin@act-europe.fr>
	
	PR ada/10565
	* sem_ch9.adb (Analyze_Delay_Alternative): Add expression type check
	for 'delay until' statement.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/7staprop.adb.diff?cvsroot=gcc&r1=1.8&r2=1.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/exp_aggr.adb.diff?cvsroot=gcc&r1=1.13&r2=1.14
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/exp_ch9.adb.diff?cvsroot=gcc&r1=1.12&r2=1.13
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/exp_pakd.adb.diff?cvsroot=gcc&r1=1.8&r2=1.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Makefile.in.diff?cvsroot=gcc&r1=1.65&r2=1.66
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/mlib-prj.adb.diff?cvsroot=gcc&r1=1.9&r2=1.10
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/prj-tree.adb.diff?cvsroot=gcc&r1=1.9&r2=1.10
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/sem_ch3.adb.diff?cvsroot=gcc&r1=1.28&r2=1.29
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/sem_ch9.adb.diff?cvsroot=gcc&r1=1.7&r2=1.8
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/xr_tabls.adb.diff?cvsroot=gcc&r1=1.8&r2=1.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/vms_conv.adb.diff?cvsroot=gcc&r1=1.3&r2=1.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&r1=1.431&r2=1.432

Comment 4 Arnaud Charlet 2004-01-21 10:41:54 UTC
Fixed in mainline.

Arno